"""
Persona-Based Conversation Generator CLI

A sophisticated Python CLI application that generates authentic multi-turn conversations 
using 50+ distinct user personas across multiple languages.
"""

__version__ = "0.1.1"
__author__ = "Ahmed Wasfy"
__email__ = "oddadmix@gmail.com"

from .core.conversation_engine import ConversationEngine
from .personas.manager import PersonaManager
from .language.processor import LanguageProcessor
from .models.persona import Persona
from .models.conversation import Conversation, Message, Turn

__all__ = [
    "ConversationEngine",
    "PersonaManager", 
    "LanguageProcessor",
    "Persona",
    "Conversation",
    "Message",
    "Turn",
] 